Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.style
Class OdfStyleFamily

    java.lang.Object
      org.odftoolkit.odfdom.dom.style.OdfStyleFamily

All Implemented Interfaces:
  Comparable<OdfStyleFamily>

    public class OdfStyleFamily

extends Object
implements Comparable<OdfStyleFamily>

Field Summary
`static OdfStyleFamily` | `Chart`
`static OdfStyleFamily` | `DrawingPage`
`static OdfStyleFamily` | `Graphic`
`static OdfStyleFamily` | `List`
`static OdfStyleFamily` | `Paragraph`
`static OdfStyleFamily` | `Presentation`
`static OdfStyleFamily` | `Ruby`
`static OdfStyleFamily` | `Section`
`static OdfStyleFamily` | `Table`
`static OdfStyleFamily` | `TableCell`
`static OdfStyleFamily` | `TableColumn`
`static OdfStyleFamily` | `TableRow`
`static OdfStyleFamily` | `Text`

Method Summary
`int` | `compareTo(OdfStyleFamily o)`
`static OdfStyleFamily` | `getByName(String name)`
`String` | `getName()`
`Set<OdfStyleProperty>` | `getProperties()`
`String` | `toString()`
`static String` | `toString(OdfStyleFamily family)`
`static OdfStyleFamily` | `valueOf(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Text

    public static final OdfStyleFamily Text

### Paragraph

    public static final OdfStyleFamily Paragraph

### Section

    public static final OdfStyleFamily Section

### Ruby

    public static final OdfStyleFamily Ruby

### Table

    public static final OdfStyleFamily Table

### TableColumn

    public static final OdfStyleFamily TableColumn

### TableRow

    public static final OdfStyleFamily TableRow

### TableCell

    public static final OdfStyleFamily TableCell

### Graphic

    public static final OdfStyleFamily Graphic

### Presentation

    public static final OdfStyleFamily Presentation

### DrawingPage

    public static final OdfStyleFamily DrawingPage

### Chart

    public static final OdfStyleFamily Chart

### List

    public static final OdfStyleFamily List

Method Detail

### getByName

    public static OdfStyleFamily getByName(String name)

### getName

    public String getName()

### compareTo

    public int compareTo(OdfStyleFamily o)

  Specified by:
    `compareTo` in interface `Comparable<OdfStyleFamily>`

### valueOf

    public static OdfStyleFamily valueOf(String name)

### toString

    public static String toString(OdfStyleFamily family)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getProperties

    public Set<OdfStyleProperty> getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.